Original examples taken from the New Mexico Tech Computer Center at https://infohost.nmt.edu/tcc/help/lang/python/examples/rational/

Author - John W. Shipman
Contact email: tcc-doc@nmt.edu

No explicit license listed.

